Debian Bug report logs - #656067
coreutils: df: shows / twice

version graph

Package: coreutils; Maintainer for coreutils is Michael Stone <mstone@debian.org>; Source for coreutils is src:coreutils.

Reported by: Michel <synth17+deb-bugs@gmail.com>

Date: Mon, 16 Jan 2012 09:21:02 UTC

Severity: minor

Tags: fixed-upstream

Merged with 675440

Found in versions coreutils/8.13-3, coreutils/8.13-3.2

Done: Bob Proulx <bob@proulx.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, synth17+deb-bugs@gmail.com, Michael Stone <mstone@debian.org>:
Bug#656067; Package coreutils. (Mon, 16 Jan 2012 09:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel <synth17+deb-bugs@gmail.com>:
New Bug report received and forwarded. Copy sent to synth17+deb-bugs@gmail.com, Michael Stone <mstone@debian.org>. (Mon, 16 Jan 2012 09:21:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michel <synth17+deb-bugs@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: coreutils: df: shows / twice
Date: Mon, 16 Jan 2012 04:19:32 -0500
Package: coreutils
Version: 8.13-3
Severity: minor


Dear Maintainer,

I after a recent upgrade and a reboot I get the following output with df[this is
from logwatch email]:

--------------------- Disk Space Begin ------------------------

 Filesystem                                              Size  Used Avail Use% Mounted on
 rootfs                                                   68G  4.8G   59G   8% /
 udev                                                    5.9G     0  5.9G   0% /dev
 /dev/disk/by-uuid/19217531-deb6-4d0a-a7da-94d8f28845b9   68G  4.8G   59G   8% /
 /dev/sdc1                                               230M   40M  179M  19% /boot
 /dev/sda1                                               459G   84G  375G  19% /home
 /dev/sdb1                                               459G  109G  351G  24% /mnt/backup


 ---------------------- Disk Space End -------------------------


The day before the df output looked like this:

--------------------- Disk Space Begin ------------------------

 Filesystem      Size  Used Avail Use% Mounted on
 /dev/sdc3        68G  4.8G   59G   8% /
 /dev/sdc1       230M   40M  179M  19% /boot
 /dev/sda1       459G   86G  373G  19% /home
 /dev/sdb1       459G  106G  353G  24% /mnt/backups


 ---------------------- Disk Space End -------------------------


After some discussion in irc. It appears that this[1] was the cause.

Everything seems to be working fine. Just want to make this is the new expected
behavior. 

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494001

Thanks


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/6 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages coreutils depends on:
ii  dpkg          1.16.1.2
ii  install-info  4.13a.dfsg.1-8
ii  libacl1       2.2.51-5
ii  libattr1      1:2.4.46-5
ii  libc6         2.13-24
ii  libselinux1   2.1.0-4

coreutils recommends no packages.

coreutils suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#656067; Package coreutils. (Mon, 16 Jan 2012 18:21:08 GMT) Full text and rfc822 format available.

Message #8 received at 656067@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: Michel <synth17+deb-bugs@gmail.com>, 656067@bugs.debian.org
Subject: Re: Bug#656067: coreutils: df: shows / twice
Date: Mon, 16 Jan 2012 11:18:11 -0700
Michel wrote:
>  Filesystem                                              Size  Used Avail Use% Mounted on
>  /dev/disk/by-uuid/19217531-deb6-4d0a-a7da-94d8f28845b9   68G  4.8G   59G   8% /

This issue is being tracked upstream as Bug#10363.  You may read the
discussion of it here:

  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10363

The very recent 8.15 release contains this NEWS:

  * Noteworthy changes in release 8.15 (2012-01-06) [stable]

  ** Changes in behavior

    df avoids long UUID-including file system names in the default listing.
    With recent enough kernel/tools, these long names would be used, pushing
    second and subsequent columns far to the right.  Now, when a long name
    refers to a symlink, and no file systems are specified, df prints the
    usually-short referent instead.

This will soon be available in Debian Unstable.

Bob




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#656067; Package coreutils. (Mon, 16 Jan 2012 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to synth17@gmail.com:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Mon, 16 Jan 2012 22:12:03 GMT) Full text and rfc822 format available.

Message #13 received at 656067@bugs.debian.org (full text, mbox):

From: synth17@gmail.com
To: Bob Proulx <bob@proulx.com>, 656067@bugs.debian.org
Subject: Re: Bug#656067: coreutils: df: shows / twice
Date: Mon, 16 Jan 2012 17:09:22 -0500
On Mon, Jan 16, 2012 at 11:18:11AM -0700, Bob Proulx wrote:
> Michel wrote:
> >  Filesystem                                              Size  Used Avail Use% Mounted on
> >  /dev/disk/by-uuid/19217531-deb6-4d0a-a7da-94d8f28845b9   68G  4.8G   59G   8% /
> 
> This issue is being tracked upstream as Bug#10363.  You may read the
> discussion of it here:
> 
>   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10363
> 
> The very recent 8.15 release contains this NEWS:
> 
>   * Noteworthy changes in release 8.15 (2012-01-06) [stable]
> 
>   ** Changes in behavior
> 
>     df avoids long UUID-including file system names in the default listing.
>     With recent enough kernel/tools, these long names would be used, pushing
>     second and subsequent columns far to the right.  Now, when a long name
>     refers to a symlink, and no file systems are specified, df prints the
>     usually-short referent instead.
> 
> This will soon be available in Debian Unstable.
> 
> Bob

Great news, Thanks for the information.

Michel




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#656067; Package coreutils. (Wed, 11 Jul 2012 09:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Janne Snabb <snabb@epipe.com>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 11 Jul 2012 09:09:10 GMT) Full text and rfc822 format available.


Message #18 received at 656067@bugs.debian.org (full text, mbox):

From: Janne Snabb <snabb@epipe.com>
To: 656067@bugs.debian.org
Date: Wed, 11 Jul 2012 15:22:58 +0700
Any update on this?

It was fixed upstream half a year ago but we still have coreutils 8.13
in sid and wheezy?





Added tag(s) fixed-upstream. Request was from Benoît Knecht <benoit.knecht@fsfe.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 09:48:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, bugs@nerdbynature.de, Michael Stone <mstone@debian.org>:
Bug#656067; Package coreutils. (Sat, 04 Aug 2012 22:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kujau <bugs@nerdbynature.de>:
Extra info received and forwarded to list. Copy sent to bugs@nerdbynature.de, Michael Stone <mstone@debian.org>. (Sat, 04 Aug 2012 22:57:04 GMT) Full text and rfc822 format available.

Message #25 received at 656067@bugs.debian.org (full text, mbox):

From: Christian Kujau <bugs@nerdbynature.de>
To: Debian Bug Tracking System <656067@bugs.debian.org>
Subject: Re: coreutils: df: shows / twice
Date: Sat, 04 Aug 2012 15:52:58 -0700
Package: coreutils
Version: 8.13-3.2
Followup-For: Bug #656067

Debian/sid still listed my rootfs twice: as "rootfs" and as the UUID device.
After setting GRUB_DISABLE_LINUX_UUID=true in /etc/default/grub (and running
update-grub) the rootfs is still listed twice, but at least the long UUID
entry is gone from df(1):

$ df -h
[...]
rootfs          4.0G  2.3G  1.5G  61% /
/dev/sda1       4.0G  2.3G  1.5G  61% /

Now /proc/cmdline also lists /dev/sda1 instead of the UUID name:

$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-3.2.0-3-amd64 root=/dev/sda1 ro

FWIW, on Fedora 17 (grub2) rootfs is listed twice too and without the
long UUID name in df(1) output. Its kernel commandline _does_ specify
root=UUID=... though. Then again, the boot process in Fedora seems to
be very different from Debian's approach, I assume.

openSUSE 12.1 (grub 0.97) lists rootfs twice and without the long 
UUID name in df(1) output, its kernel commandline does specify
root=/dev/sdaN.

Not sure about Windows though :-)

Personally, listing rootfs twice is fine with me (especially since
"df /"  lists /dev/sdaN i.e. the real device name. But df(1) should
not list the long UUID name, IMHO.

C.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages coreutils depends on:
ii  dpkg          1.16.8
ii  install-info  4.13a.dfsg.1-10
ii  libacl1       2.2.51-8
ii  libattr1      1:2.4.46-8
ii  libc6         2.13-35
ii  libselinux1   2.1.9-5

coreutils recommends no packages.

coreutils suggests no packages.

-- debconf-show failed



Merged 656067 675440 Request was from Bob Proulx <bob@proulx.com> to control@bugs.debian.org. (Sun, 05 Aug 2012 04:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, synth17+deb-bugs@gmail.com, Michael Stone <mstone@debian.org>:
Bug#656067; Package coreutils. (Mon, 05 Aug 2013 16:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel <synth17+deb-bugs@gmail.com>:
Extra info received and forwarded to list. Copy sent to synth17+deb-bugs@gmail.com, Michael Stone <mstone@debian.org>. (Mon, 05 Aug 2013 16:12:05 GMT) Full text and rfc822 format available.

Message #32 received at 656067@bugs.debian.org (full text, mbox):

From: Michel <synth17+deb-bugs@gmail.com>
To: Debian Bug Tracking System <656067@bugs.debian.org>
Subject: Re: coreutils: df: shows / twice
Date: Mon, 05 Aug 2013 12:09:04 -0400
Package: coreutils
Followup-For: Bug #656067

Dear Maintainer,

This bug and #675440 [0], which where merged. Can now be closed, as far
as I can tell; with coreutils | 8.21-1. For example:

$ df -h

Filesystem                      Size  Used Avail Use% Mounted on
/dev/sdb3                        20G  5.8G   13G  31% /
udev                             10M     0   10M   0% /dev
tmpfs                           1.6G  496K  1.6G   1% /run
tmpfs                           5.0M     0  5.0M   0% /run/lock
tmpfs                           3.3G  468K  3.3G   1% /run/shm
/dev/sdb1                       226M   55M  156M  26% /boot
/dev/sdb4                       438G  213G  225G  49% /home


[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=675440


Thanks,
Michel


-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.10-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages coreutils depends on:
ii  libacl1      2.2.52-1
ii  libattr1     1:2.4.47-1
ii  libc6        2.17-7
ii  libselinux1  2.1.13-2

coreutils recommends no packages.

coreutils suggests no packages.

-- no debconf information



Reply sent to Bob Proulx <bob@proulx.com>:
You have taken responsibility. (Mon, 05 Aug 2013 19:33:13 GMT) Full text and rfc822 format available.

Notification sent to Michel <synth17+deb-bugs@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Aug 2013 19:33:13 GMT) Full text and rfc822 format available.

Message #37 received at 656067-done@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: Michel <synth17+deb-bugs@gmail.com>, 656067-done@bugs.debian.org
Subject: Re: Bug#656067: coreutils: df: shows / twice
Date: Mon, 5 Aug 2013 13:28:59 -0600
[Message part 1 (text/plain, inline)]
Michel wrote:
> This bug and #675440 [0], which where merged. Can now be closed, as far
> as I can tell; with coreutils | 8.21-1. For example:
> 
> $ df -h
> 
> Filesystem                      Size  Used Avail Use% Mounted on
> /dev/sdb3                        20G  5.8G   13G  31% /
> udev                             10M     0   10M   0% /dev
> tmpfs                           1.6G  496K  1.6G   1% /run
> tmpfs                           5.0M     0  5.0M   0% /run/lock
> tmpfs                           3.3G  468K  3.3G   1% /run/shm
> /dev/sdb1                       226M   55M  156M  26% /boot
> /dev/sdb4                       438G  213G  225G  49% /home

I agree.  However there isn't enough information in your update to be
sure.  The same result can be produced by turning off mounting by UUID
in /etc/default/grub with "GRUB_DISABLE_LINUX_UUID=true".  The value
of the kernel command line can be seen with:

  cat /proc/cmdline

Because you poked at this I created a VM and tested this particular
case.  I agree.  It looks like it is fixed now in this version of
coreutils.  Thanks for creating activity on this report.

  root@junk:~# cat /proc/cmdline 
  BOOT_IMAGE=/boot/vmlinuz-3.2.0-4-amd64 root=UUID=9c25c6b9-b2c5-44c5-acaa-a987456eb368 ro console=ttyS0,9600n8 quiet

  root@junk:~# df -h
  Filesystem      Size  Used Avail Use% Mounted on
  /dev/vda1       2.8G  919M  1.8G  34% /
  udev             10M     0   10M   0% /dev
  tmpfs            25M  160K   25M   1% /run
  tmpfs           5.0M     0  5.0M   0% /run/lock
  tmpfs            85M     0   85M   0% /run/shm

With the previous version 8.13-3.5 in Wheezy this was:

  Filesystem                                              Size  Used Avail Use% Mounted on
  rootfs                                                  2.8G  972M  1.7G  36% /
  udev                                                     10M     0   10M   0% /dev
  tmpfs                                                    25M  160K   25M   1% /run
  /dev/disk/by-uuid/9c25c6b9-b2c5-44c5-acaa-a987456eb368  2.8G  972M  1.7G  36% /
  tmpfs                                                   5.0M     0  5.0M   0% /run/lock
  tmpfs                                                    85M     0   85M   0% /run/shm

Therefore closing this bug.  Thanks!

Bob
[signature.asc (application/pgp-signature, inline)]

Reply sent to Bob Proulx <bob@proulx.com>:
You have taken responsibility. (Mon, 05 Aug 2013 19:33:14 GMT) Full text and rfc822 format available.

Notification sent to David Griffith <dave@661.org>:
Bug acknowledged by developer. (Mon, 05 Aug 2013 19:33:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Sep 2013 07:27:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:13:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.